Skip to content
API reference

Your account

The signed-in person.

GET/me

List me

curl -X GET https://crm.anibrosdesign.com/api/v1/me \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 429

PATCH/me

Change a me

Body fieldTypeNotes
namestringat least 2 characters. up to 100 characters
phonestring or null
timezonestring
localestring
curl -X PATCH https://crm.anibrosdesign.com/api/v1/me \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"name":"text","phone":"text","timezone":"text"}'

Responses: 200 400 401 402 412 429

POST/me/mfa/confirm

Confirm (mes)

Body fieldTypeNotes
code requiredstring
curl -X POST https://crm.anibrosdesign.com/api/v1/me/mfa/confirm \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"code":"text"}'

Responses: 200 400 401 402 429

POST/me/mfa/disable

Disable (mes)

Body fieldTypeNotes
password requiredstringat least 1 characters. up to 128 characters
code requiredstringat least 6 characters. up to 32 characters
curl -X POST https://crm.anibrosdesign.com/api/v1/me/mfa/disable \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"password":"text","code":"text"}'

Responses: 204 400 401 402 429

POST/me/mfa/recovery-codes

Recovery codes (mes)

Body fieldTypeNotes
code requiredstring
curl -X POST https://crm.anibrosdesign.com/api/v1/me/mfa/recovery-codes \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"code":"text"}'

Responses: 200 400 401 402 429

POST/me/mfa/setup

Setup (mes)

curl -X POST https://crm.anibrosdesign.com/api/v1/me/mfa/setup \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 402 429

POST/me/password

Password (mes)

Body fieldTypeNotes
currentPassword requiredstringat least 1 characters. up to 128 characters
newPassword requiredstringat least 1 characters. up to 128 characters
curl -X POST https://crm.anibrosdesign.com/api/v1/me/password \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"currentPassword":"text","newPassword":"text"}'

Responses: 204 400 401 402 429

GET/me/sessions

Get sessions (mes)

curl -X GET https://crm.anibrosdesign.com/api/v1/me/sessions \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 429

DELETE/me/sessions

Remove sessions (mes)

curl -X DELETE https://crm.anibrosdesign.com/api/v1/me/sessions \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 402 429

DELETE/me/sessions/{id}

Remove sessions (me)

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X DELETE https://crm.anibrosdesign.com/api/v1/me/sessions/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 204 400 401 402 404 429

POST/me/switch-tenant

Switch tenant (mes)

Body fieldTypeNotes
tenantId requiredstring (uuid)
curl -X POST https://crm.anibrosdesign.com/api/v1/me/switch-tenant \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"tenantId":"01a15d23-0000-7000-8000-000000000000"}'

Responses: 200 400 401 402 429

Something missing or unclear? Tell us.

Chat on WhatsApp